##
## Build
##
FROM golang:1.18.3-alpine3.16 AS build

WORKDIR /app

COPY go.mod ./
COPY go.sum ./
RUN go mod download

COPY *.go ./

RUN go build -o /plan-exporter

##
## Deploy
##
FROM alpine:3.16

RUN apk add ca-certificates
RUN apk update && apk add inotify-tools

WORKDIR /

COPY --from=build /plan-exporter /plan-exporter

EXPOSE 2112

ENTRYPOINT ["/plan-exporter"]
